summaryrefslogtreecommitdiffstats
path: root/lib
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2019-03-18 14:34:49 (EDT)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2019-03-18 14:34:49 (EDT)
commitda3ddca19dbcefc9e0a2d39eb22d7f3a40b7f987 (patch)
treeb048a6164761aef3b6d692a11d5ffbbb72449e6f /lib
parent209bfa5bbf8eb882b6593f08b3ed108995a0d1e3 (diff)
Delimit operands of ob_parse_version()
Diffstat (limited to 'lib')
-rw-r--r--lib/changelog.sh3
-rw-r--r--lib/metadata/proteanos.sh2
2 files changed, 3 insertions, 2 deletions
diff --git a/lib/changelog.sh b/lib/changelog.sh
index 28357f5..06cb627 100644
--- a/lib/changelog.sh
+++ b/lib/changelog.sh
@@ -138,7 +138,8 @@ ob_parse_changelog()
'changelog_bad_source' \
"${source}"
fi
- if ! ob_parse_version "${version}"; then
+ if ! ob_parse_version -- "${version}"
+ then
_ob_parse_changelog_error \
"${file}" "${line_nr}" \
"changelog_bad_sourc$(:\
diff --git a/lib/metadata/proteanos.sh b/lib/metadata/proteanos.sh
index 38e4724..d0066f5 100644
--- a/lib/metadata/proteanos.sh
+++ b/lib/metadata/proteanos.sh
@@ -141,7 +141,7 @@ _ob_get_system_path()
'platconf')
# source version plat
[ ${#} -eq 3 ] || _ob_abort
- ob_parse_version -u 'pkgver' "${2}"
+ ob_parse_version -u 'pkgver' -- "${2}"
printf '%s/platconf/%s/%s\n' "${DATADIR}" "${3}" "${1}"
printf '%s/platconf/%s/%s_%s\n' "${DATADIR}" \
"${3}" "${1}" "${pkgver}"